### Hierarchy

- LoaderContext

## Index

### Constructors

- constructor

### Properties

- allowCodeImport
- allowLoadBytesCodeExecution
- applicationDomain
- checkPolicyFile
- securityDomain

## Constructors

### constructor

- new LoaderContext(checkPolicyFile?: boolean, applicationDomain?: ApplicationDomain, securityDomain?: SecurityDomain): LoaderContext

- - Defined in lib/openfl/system/LoaderContext.d.ts:28

  #### Parameters

  - ##### Optional checkPolicyFile: boolean

  - ##### Optional applicationDomain: ApplicationDomain

  - ##### Optional securityDomain: SecurityDomain

  #### Returns LoaderContext

## Properties

### allowCodeImport

allowCodeImport: boolean

- Defined in lib/openfl/system/LoaderContext.d.ts:11

### allowLoadBytesCodeExecution

allowLoadBytesCodeExecution: boolean

- Defined in lib/openfl/system/LoaderContext.d.ts:12

### applicationDomain

applicationDomain: ApplicationDomain

- Defined in lib/openfl/system/LoaderContext.d.ts:13

### checkPolicyFile

checkPolicyFile: boolean

- Defined in lib/openfl/system/LoaderContext.d.ts:14

### securityDomain

securityDomain: SecurityDomain

- Defined in lib/openfl/system/LoaderContext.d.ts:28

Generated using TypeDoc